module VagrantPlugins
  module TamtamVagrantReload
    class TamtamVagrantReloadProvisioner < Vagrant.plugin("2", :provisioner)

      def provision

        if config.check_file.is_a?(String)
          check_file = "#{config.check_file.to_s}".strip
        else
          check_file = config.check_file
        end

        reload = false
        info = ''

        if check_file == nil
          reload = true
          info = "No check file specify. \nVagrant reloading..."
        else
          if File.exist?(check_file)
            reload = true
            info = "File : '" + check_file + "' found. \nVagrant reloading..."
            system('rm ' + check_file)
          end
        end

        if reload
          options = {}
          options[:provision_ignore_sentinel] = false
          handle_comm(:stdout,info)
          @machine.action(:halt, options)
          @machine.action(:up, options)
          begin
            sleep 10
          end until @machine.communicate.ready?
        else
          handle_comm(:stdout,"File : '" + check_file + "' not found. \nSkip Vagrant reload!")
        end

      end

      protected

      # This handles outputting the communication data back to the UI
      def handle_comm(type, data)
        if [:stderr, :stdout].include?(type)
          # Output the data with the proper color based on the stream.
          options = {}
          options[:color] = type == :stdout ? :green : :red

          # Clear out the newline since we add one
          data = data.chomp
          return if data.empty?
            
          @machine.ui.info(data, options)
        end
      end

    end
  end
end