begin
  require "vagrant"
rescue LoadError
  raise "The Vagrant AWS plugin must be run within Vagrant."
end

# This is a sanity check to make sure no one is attempting to install
# this into an early Vagrant version.
if Vagrant::VERSION < "1.2.0"
  raise "The TamTam Vagrant Reload plugin is only compatible with Vagrant 1.2+"
end

module VagrantPlugins
  module TamtamVagrantReload
    class Plugin < Vagrant.plugin("2")
      name "TamtamVagrantReload"
      description <<-DESC
      Reload vagrant VM as a provisioning step.
      Reload can be conditional, base on file presence.
      DESC

      config(:reload, :provisioner) do
        require File.expand_path("../tamtam-vagrant-reload-config", __FILE__)
        TamtamVagrantReloadConfig
      end

      provisioner(:reload) do
        require File.expand_path("../tamtam-vagrant-reload-provisioner", __FILE__)
        TamtamVagrantReloadProvisioner
      end
    end
  end
end