# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "vagrant"
  s.version = "1.3.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Mitchell Hashimoto", "John Bender"]
  s.date = "2016-06-29"
  s.description = "Vagrant is a tool for building and distributing virtualized development environments."
  s.email = ["mitchell.hashimoto@gmail.com", "john.m.bender@gmail.com"]
  s.executables = ["vagrant"]
  s.files = ["bin/vagrant", "CHANGELOG.md", "config/default.rb", "contrib/bash/completion.sh", "contrib/emacs/vagrant.el", "contrib/README.md", "contrib/vim/vagrantfile.vim", "CONTRIBUTING.md", "Gemfile", "keys/README.md", "keys/vagrant", "keys/vagrant.pub", "lib/vagrant/action/builder.rb", "lib/vagrant/action/builtin/box_add.rb", "lib/vagrant/action/builtin/call.rb", "lib/vagrant/action/builtin/config_validate.rb", "lib/vagrant/action/builtin/confirm.rb", "lib/vagrant/action/builtin/destroy_confirm.rb", "lib/vagrant/action/builtin/env_set.rb", "lib/vagrant/action/builtin/graceful_halt.rb", "lib/vagrant/action/builtin/handle_box_url.rb", "lib/vagrant/action/builtin/handle_forwarded_port_collisions.rb", "lib/vagrant/action/builtin/lock.rb", "lib/vagrant/action/builtin/mixin_provisioners.rb", "lib/vagrant/action/builtin/nfs.rb", "lib/vagrant/action/builtin/provision.rb", "lib/vagrant/action/builtin/provisioner_cleanup.rb", "lib/vagrant/action/builtin/set_hostname.rb", "lib/vagrant/action/builtin/ssh_exec.rb", "lib/vagrant/action/builtin/ssh_run.rb", "lib/vagrant/action/builtin/wait_for_communicator.rb", "lib/vagrant/action/general/package.rb", "lib/vagrant/action/hook.rb", "lib/vagrant/action/runner.rb", "lib/vagrant/action/warden.rb", "lib/vagrant/action.rb", "lib/vagrant/batch_action.rb", "lib/vagrant/box.rb", "lib/vagrant/box_collection.rb", "lib/vagrant/cli.rb", "lib/vagrant/config/loader.rb", "lib/vagrant/config/v1/dummy_config.rb", "lib/vagrant/config/v1/loader.rb", "lib/vagrant/config/v1/root.rb", "lib/vagrant/config/v1.rb", "lib/vagrant/config/v2/dummy_config.rb", "lib/vagrant/config/v2/loader.rb", "lib/vagrant/config/v2/root.rb", "lib/vagrant/config/v2/util.rb", "lib/vagrant/config/v2.rb", "lib/vagrant/config/version_base.rb", "lib/vagrant/config.rb", "lib/vagrant/environment.rb", "lib/vagrant/errors.rb", "lib/vagrant/guest.rb", "lib/vagrant/hosts.rb", "lib/vagrant/machine.rb", "lib/vagrant/machine_state.rb", "lib/vagrant/plugin/v1/command.rb", "lib/vagrant/plugin/v1/communicator.rb", "lib/vagrant/plugin/v1/config.rb", "lib/vagrant/plugin/v1/errors.rb", "lib/vagrant/plugin/v1/guest.rb", "lib/vagrant/plugin/v1/host.rb", "lib/vagrant/plugin/v1/manager.rb", "lib/vagrant/plugin/v1/plugin.rb", "lib/vagrant/plugin/v1/provider.rb", "lib/vagrant/plugin/v1/provisioner.rb", "lib/vagrant/plugin/v1.rb", "lib/vagrant/plugin/v2/command.rb", "lib/vagrant/plugin/v2/communicator.rb", "lib/vagrant/plugin/v2/components.rb", "lib/vagrant/plugin/v2/config.rb", "lib/vagrant/plugin/v2/errors.rb", "lib/vagrant/plugin/v2/guest.rb", "lib/vagrant/plugin/v2/host.rb", "lib/vagrant/plugin/v2/manager.rb", "lib/vagrant/plugin/v2/plugin.rb", "lib/vagrant/plugin/v2/provider.rb", "lib/vagrant/plugin/v2/provisioner.rb", "lib/vagrant/plugin/v2.rb", "lib/vagrant/plugin.rb", "lib/vagrant/registry.rb", "lib/vagrant/ui.rb", "lib/vagrant/util/ansi_escape_code_remover.rb", "lib/vagrant/util/busy.rb", "lib/vagrant/util/counter.rb", "lib/vagrant/util/downloader.rb", "lib/vagrant/util/file_checksum.rb", "lib/vagrant/util/file_mode.rb", "lib/vagrant/util/hash_with_indifferent_access.rb", "lib/vagrant/util/is_port_open.rb", "lib/vagrant/util/line_ending_helpers.rb", "lib/vagrant/util/network_ip.rb", "lib/vagrant/util/platform.rb", "lib/vagrant/util/retryable.rb", "lib/vagrant/util/safe_chdir.rb", "lib/vagrant/util/safe_exec.rb", "lib/vagrant/util/safe_puts.rb", "lib/vagrant/util/scoped_hash_override.rb", "lib/vagrant/util/ssh.rb", "lib/vagrant/util/stacked_proc_runner.rb", "lib/vagrant/util/string_block_editor.rb", "lib/vagrant/util/subprocess.rb", "lib/vagrant/util/template_renderer.rb", "lib/vagrant/util/which.rb", "lib/vagrant/util.rb", "lib/vagrant/version.rb", "lib/vagrant.rb", "LICENSE", "plugins/commands/box/command/add.rb", "plugins/commands/box/command/list.rb", "plugins/commands/box/command/remove.rb", "plugins/commands/box/command/repackage.rb", "plugins/commands/box/command/root.rb", "plugins/commands/box/plugin.rb", "plugins/commands/destroy/command.rb", "plugins/commands/destroy/plugin.rb", "plugins/commands/halt/command.rb", "plugins/commands/halt/plugin.rb", "plugins/commands/help/command.rb", "plugins/commands/help/plugin.rb", "plugins/commands/init/command.rb", "plugins/commands/init/plugin.rb", "plugins/commands/package/command.rb", "plugins/commands/package/plugin.rb", "plugins/commands/plugin/action/bundler_check.rb", "plugins/commands/plugin/action/install_gem.rb", "plugins/commands/plugin/action/license_plugin.rb", "plugins/commands/plugin/action/list_plugins.rb", "plugins/commands/plugin/action/plugin_exists_check.rb", "plugins/commands/plugin/action/prune_gems.rb", "plugins/commands/plugin/action/uninstall_plugin.rb", "plugins/commands/plugin/action.rb", "plugins/commands/plugin/command/base.rb", "plugins/commands/plugin/command/install.rb", "plugins/commands/plugin/command/license.rb", "plugins/commands/plugin/command/list.rb", "plugins/commands/plugin/command/mixin_install_opts.rb", "plugins/commands/plugin/command/root.rb", "plugins/commands/plugin/command/uninstall.rb", "plugins/commands/plugin/command/update.rb", "plugins/commands/plugin/gem_helper.rb", "plugins/commands/plugin/plugin.rb", "plugins/commands/plugin/state_file.rb", "plugins/commands/provision/command.rb", "plugins/commands/provision/plugin.rb", "plugins/commands/reload/command.rb", "plugins/commands/reload/plugin.rb", "plugins/commands/resume/command.rb", "plugins/commands/resume/plugin.rb", "plugins/commands/ssh/command.rb", "plugins/commands/ssh/plugin.rb", "plugins/commands/ssh_config/command.rb", "plugins/commands/ssh_config/plugin.rb", "plugins/commands/status/command.rb", "plugins/commands/status/plugin.rb", "plugins/commands/suspend/command.rb", "plugins/commands/suspend/plugin.rb", "plugins/commands/up/command.rb", "plugins/commands/up/plugin.rb", "plugins/commands/up/start_mixins.rb", "plugins/communicators/ssh/communicator.rb", "plugins/communicators/ssh/plugin.rb", "plugins/guests/arch/cap/change_host_name.rb", "plugins/guests/arch/cap/configure_networks.rb", "plugins/guests/arch/guest.rb", "plugins/guests/arch/plugin.rb", "plugins/guests/coreos/cap/change_host_name.rb", "plugins/guests/coreos/cap/configure_networks.rb", "plugins/guests/coreos/guest.rb", "plugins/guests/coreos/plugin.rb", "plugins/guests/darwin/cap/change_host_name.rb", "plugins/guests/darwin/cap/configure_networks.rb", "plugins/guests/darwin/cap/halt.rb", "plugins/guests/darwin/cap/mount_nfs_folder.rb", "plugins/guests/darwin/cap/mount_vmware_shared_folder.rb", "plugins/guests/darwin/cap/shell_expand_guest_path.rb", "plugins/guests/darwin/cap/verify_vmware_hgfs.rb", "plugins/guests/darwin/guest.rb", "plugins/guests/darwin/plugin.rb", "plugins/guests/debian/cap/change_host_name.rb", "plugins/guests/debian/cap/configure_networks.rb", "plugins/guests/debian/guest.rb", "plugins/guests/debian/plugin.rb", "plugins/guests/fedora/cap/configure_networks.rb", "plugins/guests/fedora/cap/network_scripts_dir.rb", "plugins/guests/fedora/guest.rb", "plugins/guests/fedora/plugin.rb", "plugins/guests/freebsd/cap/change_host_name.rb", "plugins/guests/freebsd/cap/configure_networks.rb", "plugins/guests/freebsd/cap/halt.rb", "plugins/guests/freebsd/cap/mount_nfs_folder.rb", "plugins/guests/freebsd/guest.rb", "plugins/guests/freebsd/plugin.rb", "plugins/guests/gentoo/cap/change_host_name.rb", "plugins/guests/gentoo/cap/configure_networks.rb", "plugins/guests/gentoo/guest.rb", "plugins/guests/gentoo/plugin.rb", "plugins/guests/linux/cap/halt.rb", "plugins/guests/linux/cap/mount_nfs.rb", "plugins/guests/linux/cap/mount_virtualbox_shared_folder.rb", "plugins/guests/linux/cap/read_ip_address.rb", "plugins/guests/linux/cap/shell_expand_guest_path.rb", "plugins/guests/linux/guest.rb", "plugins/guests/linux/plugin.rb", "plugins/guests/omnios/cap/change_host_name.rb", "plugins/guests/omnios/guest.rb", "plugins/guests/omnios/plugin.rb", "plugins/guests/openbsd/cap/change_host_name.rb", "plugins/guests/openbsd/cap/configure_networks.rb", "plugins/guests/openbsd/cap/halt.rb", "plugins/guests/openbsd/cap/mount_nfs_folder.rb", "plugins/guests/openbsd/guest.rb", "plugins/guests/openbsd/plugin.rb", "plugins/guests/pld/cap/network_scripts_dir.rb", "plugins/guests/pld/guest.rb", "plugins/guests/pld/plugin.rb", "plugins/guests/redhat/cap/change_host_name.rb", "plugins/guests/redhat/cap/configure_networks.rb", "plugins/guests/redhat/cap/network_scripts_dir.rb", "plugins/guests/redhat/guest.rb", "plugins/guests/redhat/plugin.rb", "plugins/guests/solaris/cap/change_host_name.rb", "plugins/guests/solaris/cap/configure_networks.rb", "plugins/guests/solaris/cap/halt.rb", "plugins/guests/solaris/cap/mount_virtualbox_shared_folder.rb", "plugins/guests/solaris/config.rb", "plugins/guests/solaris/guest.rb", "plugins/guests/solaris/plugin.rb", "plugins/guests/solaris11/cap/change_host_name.rb", "plugins/guests/solaris11/cap/configure_networks.rb", "plugins/guests/solaris11/cap/halt.rb", "plugins/guests/solaris11/cap/mount_virtualbox_shared_folder.rb", "plugins/guests/solaris11/config.rb", "plugins/guests/solaris11/guest.rb", "plugins/guests/solaris11/plugin.rb", "plugins/guests/suse/cap/change_host_name.rb", "plugins/guests/suse/cap/configure_networks.rb", "plugins/guests/suse/cap/network_scripts_dir.rb", "plugins/guests/suse/guest.rb", "plugins/guests/suse/plugin.rb", "plugins/guests/ubuntu/cap/change_host_name.rb", "plugins/guests/ubuntu/cap/mount_nfs.rb", "plugins/guests/ubuntu/cap/mount_virtualbox_shared_folder.rb", "plugins/guests/ubuntu/guest.rb", "plugins/guests/ubuntu/plugin.rb", "plugins/hosts/arch/host.rb", "plugins/hosts/arch/plugin.rb", "plugins/hosts/bsd/host.rb", "plugins/hosts/bsd/plugin.rb", "plugins/hosts/fedora/host.rb", "plugins/hosts/fedora/plugin.rb", "plugins/hosts/freebsd/host.rb", "plugins/hosts/freebsd/plugin.rb", "plugins/hosts/gentoo/host.rb", "plugins/hosts/gentoo/plugin.rb", "plugins/hosts/linux/host.rb", "plugins/hosts/linux/plugin.rb", "plugins/hosts/opensuse/host.rb", "plugins/hosts/opensuse/plugin.rb", "plugins/hosts/slackware/host.rb", "plugins/hosts/slackware/plugin.rb", "plugins/hosts/windows/host.rb", "plugins/hosts/windows/plugin.rb", "plugins/kernel_v1/config/nfs.rb", "plugins/kernel_v1/config/package.rb", "plugins/kernel_v1/config/ssh.rb", "plugins/kernel_v1/config/vagrant.rb", "plugins/kernel_v1/config/vm.rb", "plugins/kernel_v1/plugin.rb", "plugins/kernel_v2/config/nfs.rb", "plugins/kernel_v2/config/package.rb", "plugins/kernel_v2/config/ssh.rb", "plugins/kernel_v2/config/ssh_connect.rb", "plugins/kernel_v2/config/vagrant.rb", "plugins/kernel_v2/config/vm.rb", "plugins/kernel_v2/config/vm_provisioner.rb", "plugins/kernel_v2/config/vm_subvm.rb", "plugins/kernel_v2/plugin.rb", "plugins/providers/virtualbox/action/boot.rb", "plugins/providers/virtualbox/action/check_accessible.rb", "plugins/providers/virtualbox/action/check_created.rb", "plugins/providers/virtualbox/action/check_guest_additions.rb", "plugins/providers/virtualbox/action/check_running.rb", "plugins/providers/virtualbox/action/check_virtualbox.rb", "plugins/providers/virtualbox/action/clean_machine_folder.rb", "plugins/providers/virtualbox/action/clear_forwarded_ports.rb", "plugins/providers/virtualbox/action/clear_network_interfaces.rb", "plugins/providers/virtualbox/action/clear_shared_folders.rb", "plugins/providers/virtualbox/action/created.rb", "plugins/providers/virtualbox/action/customize.rb", "plugins/providers/virtualbox/action/destroy.rb", "plugins/providers/virtualbox/action/destroy_unused_network_interfaces.rb", "plugins/providers/virtualbox/action/discard_state.rb", "plugins/providers/virtualbox/action/export.rb", "plugins/providers/virtualbox/action/forced_halt.rb", "plugins/providers/virtualbox/action/forward_ports.rb", "plugins/providers/virtualbox/action/import.rb", "plugins/providers/virtualbox/action/is_paused.rb", "plugins/providers/virtualbox/action/is_running.rb", "plugins/providers/virtualbox/action/is_saved.rb", "plugins/providers/virtualbox/action/match_mac_address.rb", "plugins/providers/virtualbox/action/message_already_running.rb", "plugins/providers/virtualbox/action/message_not_created.rb", "plugins/providers/virtualbox/action/message_not_running.rb", "plugins/providers/virtualbox/action/message_will_not_destroy.rb", "plugins/providers/virtualbox/action/network.rb", "plugins/providers/virtualbox/action/package.rb", "plugins/providers/virtualbox/action/package_vagrantfile.rb", "plugins/providers/virtualbox/action/prepare_forwarded_port_collision_params.rb", "plugins/providers/virtualbox/action/prepare_nfs_settings.rb", "plugins/providers/virtualbox/action/prune_nfs_exports.rb", "plugins/providers/virtualbox/action/resume.rb", "plugins/providers/virtualbox/action/sane_defaults.rb", "plugins/providers/virtualbox/action/set_name.rb", "plugins/providers/virtualbox/action/setup_package_files.rb", "plugins/providers/virtualbox/action/share_folders.rb", "plugins/providers/virtualbox/action/suspend.rb", "plugins/providers/virtualbox/action.rb", "plugins/providers/virtualbox/config.rb", "plugins/providers/virtualbox/driver/base.rb", "plugins/providers/virtualbox/driver/meta.rb", "plugins/providers/virtualbox/driver/version_4_0.rb", "plugins/providers/virtualbox/driver/version_4_1.rb", "plugins/providers/virtualbox/driver/version_4_2.rb", "plugins/providers/virtualbox/model/forwarded_port.rb", "plugins/providers/virtualbox/plugin.rb", "plugins/providers/virtualbox/provider.rb", "plugins/providers/virtualbox/util/compile_forwarded_ports.rb", "plugins/provisioners/ansible/config.rb", "plugins/provisioners/ansible/plugin.rb", "plugins/provisioners/ansible/provisioner.rb", "plugins/provisioners/cfengine/cap/debian/cfengine_install.rb", "plugins/provisioners/cfengine/cap/linux/cfengine_installed.rb", "plugins/provisioners/cfengine/cap/linux/cfengine_needs_bootstrap.rb", "plugins/provisioners/cfengine/cap/redhat/cfengine_install.rb", "plugins/provisioners/cfengine/cap/suse/cfengine_install.rb", "plugins/provisioners/cfengine/config.rb", "plugins/provisioners/cfengine/plugin.rb", "plugins/provisioners/cfengine/provisioner.rb", "plugins/provisioners/chef/config/base.rb", "plugins/provisioners/chef/config/chef_client.rb", "plugins/provisioners/chef/config/chef_solo.rb", "plugins/provisioners/chef/plugin.rb", "plugins/provisioners/chef/provisioner/base.rb", "plugins/provisioners/chef/provisioner/chef_client.rb", "plugins/provisioners/chef/provisioner/chef_solo.rb", "plugins/provisioners/file/config.rb", "plugins/provisioners/file/plugin.rb", "plugins/provisioners/file/provisioner.rb", "plugins/provisioners/puppet/config/puppet.rb", "plugins/provisioners/puppet/config/puppet_server.rb", "plugins/provisioners/puppet/plugin.rb", "plugins/provisioners/puppet/provisioner/puppet.rb", "plugins/provisioners/puppet/provisioner/puppet_server.rb", "plugins/provisioners/salt/bootstrap-salt.sh", "plugins/provisioners/salt/config.rb", "plugins/provisioners/salt/errors.rb", "plugins/provisioners/salt/plugin.rb", "plugins/provisioners/salt/provisioner.rb", "plugins/provisioners/shell/config.rb", "plugins/provisioners/shell/plugin.rb", "plugins/provisioners/shell/provisioner.rb", "plugins/README.md", "Rakefile", "README.md", "scripts/website_push_docs.sh", "scripts/website_push_www.sh", "tasks/acceptance.rake", "tasks/bundler.rake", "tasks/test.rake", "templates/commands/init/Vagrantfile.erb", "templates/commands/ssh_config/config.erb", "templates/config/messages.erb", "templates/config/validation_failed.erb", "templates/guests/arch/network_dhcp.erb", "templates/guests/arch/network_static.erb", "templates/guests/coreos/etcd.service.erb", "templates/guests/debian/network_dhcp.erb", "templates/guests/debian/network_static.erb", "templates/guests/fedora/network_dhcp.erb", "templates/guests/fedora/network_static.erb", "templates/guests/freebsd/network_dhcp.erb", "templates/guests/freebsd/network_static.erb", "templates/guests/gentoo/network_dhcp.erb", "templates/guests/gentoo/network_static.erb", "templates/guests/openbsd/network_dhcp.erb", "templates/guests/openbsd/network_static.erb", "templates/guests/redhat/network_dhcp.erb", "templates/guests/redhat/network_static.erb", "templates/guests/suse/network_dhcp.erb", "templates/guests/suse/network_static.erb", "templates/locales/en.yml", "templates/nfs/exports.erb", "templates/nfs/exports_freebsd.erb", "templates/nfs/exports_linux.erb", "templates/package_Vagrantfile.erb", "templates/provisioners/chef_client/client.erb", "templates/provisioners/chef_solo/solo.erb", "templates/rgloader.rb", "test/acceptance/base.rb", "test/acceptance/box_test.rb", "test/acceptance/destroy_test.rb", "test/acceptance/halt_test.rb", "test/acceptance/init_test.rb", "test/acceptance/networking/host_only_test.rb", "test/acceptance/networking/port_forward_test.rb", "test/acceptance/package_test.rb", "test/acceptance/provisioning/basic_test.rb", "test/acceptance/provisioning/chef_solo_test.rb", "test/acceptance/provisioning/shell_test.rb", "test/acceptance/resume_test.rb", "test/acceptance/shared_folders_test.rb", "test/acceptance/skeletons/chef_solo_basic/cookbooks/basic/recipes/default.rb", "test/acceptance/skeletons/chef_solo_basic/README.md", "test/acceptance/skeletons/chef_solo_json/cookbooks/basic/recipes/default.rb", "test/acceptance/skeletons/chef_solo_json/README.md", "test/acceptance/skeletons/provisioner_multi/cookbooks/basic/recipes/default.rb", "test/acceptance/skeletons/provisioner_multi/README.md", "test/acceptance/ssh_test.rb", "test/acceptance/support/config.rb", "test/acceptance/support/isolated_environment.rb", "test/acceptance/support/matchers/have_color.rb", "test/acceptance/support/matchers/match_output.rb", "test/acceptance/support/matchers/succeed.rb", "test/acceptance/support/network_tests.rb", "test/acceptance/support/output.rb", "test/acceptance/support/shared/base_context.rb", "test/acceptance/support/shared/command_examples.rb", "test/acceptance/support/virtualbox.rb", "test/acceptance/suspend_test.rb", "test/acceptance/up_basic_test.rb", "test/acceptance/up_with_box_url.rb", "test/acceptance/vagrant_test.rb", "test/acceptance/version_test.rb", "test/config/acceptance_boxes.yml", "test/support/isolated_environment.rb", "test/support/tempdir.rb", "test/unit/base.rb", "test/unit/support/dummy_provider.rb", "test/unit/support/isolated_environment.rb", "test/unit/support/shared/base_context.rb", "test/unit/vagrant/action/builder_test.rb", "test/unit/vagrant/action/builtin/call_test.rb", "test/unit/vagrant/action/builtin/confirm_test.rb", "test/unit/vagrant/action/builtin/env_set_test.rb", "test/unit/vagrant/action/builtin/graceful_halt_test.rb", "test/unit/vagrant/action/builtin/lock_test.rb", "test/unit/vagrant/action/builtin/ssh_exec_test.rb", "test/unit/vagrant/action/hook_test.rb", "test/unit/vagrant/action/runner_test.rb", "test/unit/vagrant/action/warden_test.rb", "test/unit/vagrant/batch_action_test.rb", "test/unit/vagrant/box_collection_test.rb", "test/unit/vagrant/box_test.rb", "test/unit/vagrant/cli_test.rb", "test/unit/vagrant/config/loader_test.rb", "test/unit/vagrant/config/v1/dummy_config_test.rb", "test/unit/vagrant/config/v1/loader_test.rb", "test/unit/vagrant/config/v1/root_test.rb", "test/unit/vagrant/config/v2/dummy_config_test.rb", "test/unit/vagrant/config/v2/loader_test.rb", "test/unit/vagrant/config/v2/root_test.rb", "test/unit/vagrant/config/v2/util_test.rb", "test/unit/vagrant/config_test.rb", "test/unit/vagrant/environment_test.rb", "test/unit/vagrant/errors_test.rb", "test/unit/vagrant/guest_test.rb", "test/unit/vagrant/hosts_test.rb", "test/unit/vagrant/machine_state_test.rb", "test/unit/vagrant/machine_test.rb", "test/unit/vagrant/plugin/v1/command_test.rb", "test/unit/vagrant/plugin/v1/communicator_test.rb", "test/unit/vagrant/plugin/v1/config_test.rb", "test/unit/vagrant/plugin/v1/host_test.rb", "test/unit/vagrant/plugin/v1/manager_test.rb", "test/unit/vagrant/plugin/v1/plugin_test.rb", "test/unit/vagrant/plugin/v1/provider_test.rb", "test/unit/vagrant/plugin/v2/command_test.rb", "test/unit/vagrant/plugin/v2/communicator_test.rb", "test/unit/vagrant/plugin/v2/components_test.rb", "test/unit/vagrant/plugin/v2/config_test.rb", "test/unit/vagrant/plugin/v2/host_test.rb", "test/unit/vagrant/plugin/v2/manager_test.rb", "test/unit/vagrant/plugin/v2/plugin_test.rb", "test/unit/vagrant/plugin/v2/provider_test.rb", "test/unit/vagrant/registry_test.rb", "test/unit/vagrant/util/ansi_escape_code_remover_test.rb", "test/unit/vagrant/util/downloader_test.rb", "test/unit/vagrant/util/file_checksum_test.rb", "test/unit/vagrant/util/hash_with_indifferent_access_test.rb", "test/unit/vagrant/util/is_port_open_test.rb", "test/unit/vagrant/util/line_endings_helper_test.rb", "test/unit/vagrant/util/network_ip_test.rb", "test/unit/vagrant/util/retryable_test.rb", "test/unit/vagrant/util/safe_chdir_test.rb", "test/unit/vagrant/util/scoped_hash_override_test.rb", "test/unit/vagrant/util/ssh_test.rb", "test/unit/vagrant/util/string_block_editor_test.rb", "test/unit/vagrant/util/which_test.rb", "test/unit/vagrant_test.rb", "vagrant.gemspec", "website/docs/config.rb", "website/docs/config.ru", "website/docs/Gemfile", "website/docs/Gemfile.lock", "website/docs/helpers/sidebar_helpers.rb", "website/docs/lib/redirect_to_latest.rb", "website/docs/lib/redirect_v1_docs.rb", "website/docs/Procfile", "website/docs/README.md", "website/docs/source/404.html.erb", "website/docs/source/images/bullet_1.png", "website/docs/source/images/bullet_2.png", "website/docs/source/images/bullet_3.png", "website/docs/source/images/customers.png", "website/docs/source/images/customers_small.png", "website/docs/source/images/footer_background.png", "website/docs/source/images/footer_hashi_logo.png", "website/docs/source/images/footer_vagrant_logo.png", "website/docs/source/images/get_started_background.png", "website/docs/source/images/icon_caution.png", "website/docs/source/images/logo_docs.png", "website/docs/source/images/logo_docs_small.png", "website/docs/source/images/logo_small.png", "website/docs/source/images/logo_vagrant.png", "website/docs/source/images/open_close.png", "website/docs/source/images/search_icon.png", "website/docs/source/images/sidebar_background_docs.png", "website/docs/source/images/sidebar_background_inner.png", "website/docs/source/images/steps_background.png", "website/docs/source/images/vagrant_header_background.png", "website/docs/source/index.html.erb", "website/docs/source/javascripts/backstretch.js", "website/docs/source/javascripts/bootstrap.min.js", "website/docs/source/javascripts/fittext.js", "website/docs/source/javascripts/grid-overlay.js", "website/docs/source/javascripts/jquery.js", "website/docs/source/javascripts/less-1.3.0.min.js", "website/docs/source/javascripts/modernizr.js", "website/docs/source/javascripts/vagrantup.js", "website/docs/source/layouts/layout.erb", "website/docs/source/stylesheets/_base.less", "website/docs/source/stylesheets/_components.less", "website/docs/source/stylesheets/_footer.less", "website/docs/source/stylesheets/_media-queries.less", "website/docs/source/stylesheets/_mixins.less", "website/docs/source/stylesheets/_nav.less", "website/docs/source/stylesheets/_pages.less", "website/docs/source/stylesheets/_sidebar.less", "website/docs/source/stylesheets/_type.less", "website/docs/source/stylesheets/_variables.less", "website/docs/source/stylesheets/bootstrap.css", "website/docs/source/stylesheets/vagrantup.less", "website/docs/source/v2/boxes/format.html.md", "website/docs/source/v2/boxes.html.md", "website/docs/source/v2/cli/box.html.md", "website/docs/source/v2/cli/destroy.html.md", "website/docs/source/v2/cli/halt.html.md", "website/docs/source/v2/cli/index.html.md", "website/docs/source/v2/cli/init.html.md", "website/docs/source/v2/cli/package.html.md", "website/docs/source/v2/cli/plugin.html.md", "website/docs/source/v2/cli/provision.html.md", "website/docs/source/v2/cli/reload.html.md", "website/docs/source/v2/cli/resume.html.md", "website/docs/source/v2/cli/ssh.html.md", "website/docs/source/v2/cli/ssh_config.html.md", "website/docs/source/v2/cli/status.html.md", "website/docs/source/v2/cli/suspend.html.md", "website/docs/source/v2/cli/up.html.md", "website/docs/source/v2/debugging.html.md", "website/docs/source/v2/getting-started/boxes.html.md", "website/docs/source/v2/getting-started/index.html.md", "website/docs/source/v2/getting-started/networking.html.md", "website/docs/source/v2/getting-started/project_setup.html.md", "website/docs/source/v2/getting-started/providers.html.md", "website/docs/source/v2/getting-started/provisioning.html.md", "website/docs/source/v2/getting-started/rebuild.html.md", "website/docs/source/v2/getting-started/synced_folders.html.md", "website/docs/source/v2/getting-started/teardown.html.md", "website/docs/source/v2/getting-started/up.html.md", "website/docs/source/v2/index.html.md", "website/docs/source/v2/installation/backwards-compatibility.html.md", "website/docs/source/v2/installation/index.html.md", "website/docs/source/v2/installation/uninstallation.html.md", "website/docs/source/v2/installation/upgrading-from-1-0.html.md", "website/docs/source/v2/installation/upgrading.html.md", "website/docs/source/v2/multi-machine/index.html.md", "website/docs/source/v2/networking/basic_usage.html.md", "website/docs/source/v2/networking/forwarded_ports.html.md", "website/docs/source/v2/networking/index.html.md", "website/docs/source/v2/networking/private_network.html.md", "website/docs/source/v2/networking/public_network.html.md", "website/docs/source/v2/plugins/commands.html.md", "website/docs/source/v2/plugins/configuration.html.md", "website/docs/source/v2/plugins/development-basics.html.md", "website/docs/source/v2/plugins/guest-capabilities.html.md", "website/docs/source/v2/plugins/guests.html.md", "website/docs/source/v2/plugins/hosts.html.md", "website/docs/source/v2/plugins/index.html.md", "website/docs/source/v2/plugins/packaging.html.md", "website/docs/source/v2/plugins/providers.html.md", "website/docs/source/v2/plugins/provisioners.html.md", "website/docs/source/v2/plugins/usage.html.md", "website/docs/source/v2/providers/basic_usage.html.md", "website/docs/source/v2/providers/configuration.html.md", "website/docs/source/v2/providers/custom.html.md", "website/docs/source/v2/providers/default.html.md", "website/docs/source/v2/providers/index.html.md", "website/docs/source/v2/providers/installation.html.md", "website/docs/source/v2/provisioning/ansible.html.md", "website/docs/source/v2/provisioning/basic_usage.html.md", "website/docs/source/v2/provisioning/chef_client.html.md", "website/docs/source/v2/provisioning/chef_solo.html.md", "website/docs/source/v2/provisioning/index.html.md", "website/docs/source/v2/provisioning/puppet_agent.html.md", "website/docs/source/v2/provisioning/puppet_apply.html.md", "website/docs/source/v2/provisioning/shell.html.md", "website/docs/source/v2/synced-folders/basic_usage.html.md", "website/docs/source/v2/synced-folders/index.html.md", "website/docs/source/v2/synced-folders/nfs.html.md", "website/docs/source/v2/vagrantfile/index.html.md", "website/docs/source/v2/vagrantfile/machine_settings.html.md", "website/docs/source/v2/vagrantfile/ssh_settings.html.md", "website/docs/source/v2/vagrantfile/vagrant_settings.html.md", "website/docs/source/v2/vagrantfile/version.html.md", "website/docs/source/v2/virtualbox/boxes.html.md", "website/docs/source/v2/virtualbox/configuration.html.md", "website/docs/source/v2/virtualbox/index.html.md", "website/docs/source/v2/virtualbox/usage.html.md", "website/docs/source/v2/vmware/boxes.html.md", "website/docs/source/v2/vmware/configuration.html.md", "website/docs/source/v2/vmware/index.html.md", "website/docs/source/v2/vmware/installation.html.md", "website/docs/source/v2/vmware/known-issues.html.md", "website/docs/source/v2/vmware/usage.html.md", "website/docs/source/v2/why-vagrant/index.html.md", "website/www/config.rb", "website/www/config.ru", "website/www/Gemfile", "website/www/Gemfile.lock", "website/www/helpers/sidebar_helpers.rb", "website/www/lib/legacy_redirect.rb", "website/www/Procfile", "website/www/README.md", "website/www/source/404.html.erb", "website/www/source/_sidebar_about.erb", "website/www/source/_sidebar_blog.erb", "website/www/source/_sidebar_support.html.erb", "website/www/source/about.html.markdown", "website/www/source/blog/2013-09-19-introducing-the-vagrant-blog.html.markdown", "website/www/source/blog-archives.html.erb", "website/www/source/blog.html.erb", "website/www/source/blog_feed.xml.builder", "website/www/source/images/bullet_1.png", "website/www/source/images/bullet_2.png", "website/www/source/images/bullet_3.png", "website/www/source/images/customers.png", "website/www/source/images/customers_small.png", "website/www/source/images/footer_background.png", "website/www/source/images/footer_hashi_logo.png", "website/www/source/images/footer_vagrant_logo.png", "website/www/source/images/get_started_background.png", "website/www/source/images/icon_caution.png", "website/www/source/images/logo_docs.png", "website/www/source/images/logo_docs_small.png", "website/www/source/images/logo_small.png", "website/www/source/images/logo_vagrant.png", "website/www/source/images/open_close.png", "website/www/source/images/search_icon.png", "website/www/source/images/sidebar_background_docs.png", "website/www/source/images/sidebar_background_inner.png", "website/www/source/images/sponsors/fastly.png", "website/www/source/images/sponsors/kiip.png", "website/www/source/images/sponsors/softlayer.jpg", "website/www/source/images/sponsors/typekit.png", "website/www/source/images/steps_background.png", "website/www/source/images/vagrant_header_background.png", "website/www/source/images/vagrant_vmware_background.png", "website/www/source/index.html.erb", "website/www/source/javascripts/backstretch.js", "website/www/source/javascripts/bootstrap.min.js", "website/www/source/javascripts/fittext.js", "website/www/source/javascripts/grid-overlay.js", "website/www/source/javascripts/jquery.js", "website/www/source/javascripts/less-1.3.0.min.js", "website/www/source/javascripts/modernizr.js", "website/www/source/javascripts/vagrantup.js", "website/www/source/layouts/blog_post.erb", "website/www/source/layouts/inner.erb", "website/www/source/layouts/layout.erb", "website/www/source/sponsors.html.erb", "website/www/source/stylesheets/_base.less", "website/www/source/stylesheets/_components.less", "website/www/source/stylesheets/_footer.less", "website/www/source/stylesheets/_media-queries.less", "website/www/source/stylesheets/_mixins.less", "website/www/source/stylesheets/_modules.less", "website/www/source/stylesheets/_nav.less", "website/www/source/stylesheets/_pages.less", "website/www/source/stylesheets/_sidebar.less", "website/www/source/stylesheets/_type.less", "website/www/source/stylesheets/_variables.less", "website/www/source/stylesheets/bootstrap.css", "website/www/source/stylesheets/vagrantup.less", "website/www/source/support.html.erb", "website/www/source/vmware/eula.html.md", "website/www/source/vmware/index.html.erb", "website/www/source/vmware/privacy-policy.html.md", "website/www/source/vmware/terms-of-service.html.md", ".gitignore", ".travis.yml", ".yardopts", "website/docs/.buildpacks", "website/www/.buildpacks"]
  s.homepage = "http://vagrantup.com"
  s.require_paths = ["lib"]
  s.rubyforge_project = "vagrant"
  s.rubygems_version = "2.0.14.1"
  s.summary = "Build and distribute virtualized development environments."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<childprocess>, ["~> 0.3.7"])
      s.add_runtime_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_runtime_dependency(%q<i18n>, ["~> 0.6.0"])
      s.add_runtime_dependency(%q<log4r>, ["~> 1.1.9"])
      s.add_runtime_dependency(%q<net-ssh>, ["~> 2.6.6"])
      s.add_runtime_dependency(%q<net-scp>, ["~> 1.1.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<contest>, [">= 0.1.2"])
      s.add_development_dependency(%q<minitest>, ["~> 2.5.1"])
      s.add_development_dependency(%q<mocha>, [">= 0"])
      s.add_development_dependency(%q<rspec-core>, ["~> 2.11.0"])
      s.add_development_dependency(%q<rspec-expectations>, ["~> 2.11.0"])
      s.add_development_dependency(%q<rspec-mocks>, ["~> 2.11.0"])
    else
      s.add_dependency(%q<childprocess>, ["~> 0.3.7"])
      s.add_dependency(%q<erubis>, ["~> 2.7.0"])
      s.add_dependency(%q<i18n>, ["~> 0.6.0"])
      s.add_dependency(%q<log4r>, ["~> 1.1.9"])
      s.add_dependency(%q<net-ssh>, ["~> 2.6.6"])
      s.add_dependency(%q<net-scp>, ["~> 1.1.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<contest>, [">= 0.1.2"])
      s.add_dependency(%q<minitest>, ["~> 2.5.1"])
      s.add_dependency(%q<mocha>, [">= 0"])
      s.add_dependency(%q<rspec-core>, ["~> 2.11.0"])
      s.add_dependency(%q<rspec-expectations>, ["~> 2.11.0"])
      s.add_dependency(%q<rspec-mocks>, ["~> 2.11.0"])
    end
  else
    s.add_dependency(%q<childprocess>, ["~> 0.3.7"])
    s.add_dependency(%q<erubis>, ["~> 2.7.0"])
    s.add_dependency(%q<i18n>, ["~> 0.6.0"])
    s.add_dependency(%q<log4r>, ["~> 1.1.9"])
    s.add_dependency(%q<net-ssh>, ["~> 2.6.6"])
    s.add_dependency(%q<net-scp>, ["~> 1.1.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<contest>, [">= 0.1.2"])
    s.add_dependency(%q<minitest>, ["~> 2.5.1"])
    s.add_dependency(%q<mocha>, [">= 0"])
    s.add_dependency(%q<rspec-core>, ["~> 2.11.0"])
    s.add_dependency(%q<rspec-expectations>, ["~> 2.11.0"])
    s.add_dependency(%q<rspec-mocks>, ["~> 2.11.0"])
  end
end
